﻿using System;
using System.Windows;

namespace TestProject;

/// <summary>
/// 메인 윈도우
/// </summary>
public partial class MainWindow : Window
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainWindow()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainWindow()
    {
        InitializeComponent();

        this.imageCarouselControl.AddImage(GetResourceURI(null, "IMAGE/image1.jpg"), "풍경 이미지 1" );
        this.imageCarouselControl.AddImage(GetResourceURI(null, "IMAGE/image2.jpg"), "풍경 이미지 2");
        this.imageCarouselControl.AddImage(GetResourceURI(null, "IMAGE/image3.jpg"), "풍경 이미지 3" );
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 리소스 URI 구하기 - GetResourceURI(assemblyName, resourcePath)

    /// <summary>
    /// 리소스 URI 구하기
    /// </summary>
    /// <param name="assemblyName">어셈블리명</param>
    /// <param name="resourcePath">리소스 경로</param>
    /// <returns>리소스 URI</returns>
    private Uri GetResourceURI(string assemblyName, string resourcePath)
    {
        if(string.IsNullOrEmpty(assemblyName))
        {
            return new Uri(string.Format("pack://application:,,,/{0}", resourcePath));
        }
        else
        {
            return new Uri(string.Format("pack://application:,,,/{0};component/{1}", assemblyName, resourcePath));
        }
    }

    #endregion
}